org.springframework.data.relational.core.dialect

## Class HsqlDbDialect

- java.lang.Object
- - org.springframework.data.relational.core.dialect.AbstractDialect
  - - org.springframework.data.relational.core.dialect.HsqlDbDialect

All Implemented Interfaces:
  Dialect

    public class HsqlDbDialect
    extends AbstractDialect

A `Dialect` for HsqlDb.

Author:
  Jens Schauder, Myeonghyeon Lee

### Field Summary

Fields
`static HsqlDbDialect` `INSTANCE`

### Constructor Summary

Constructors
`protected` `HsqlDbDialect()`

### Method Summary

All Methods Instance Methods Concrete Methods
`LimitClause` `limit()` Return the `LimitClause` used by this dialect.
`LockClause` `lock()` Return the `LockClause` used by this dialect.

### Methods inherited from class org.springframework.data.relational.core.dialect.AbstractDialect

`getAfterFromTable, getAfterOrderBy, getSelectContext`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.springframework.data.relational.core.dialect.Dialect

`getArraySupport, getIdentifierProcessing, getIdGeneration, getLikeEscaper`

### Field Detail

#### INSTANCE

    public static final HsqlDbDialect INSTANCE

### Constructor Detail

#### HsqlDbDialect

    protected HsqlDbDialect()

### Method Detail

#### limit

    public LimitClause limit()

Description copied from interface: `Dialect`
Return the `LimitClause` used by this dialect.

Returns:
  the `LimitClause` used by this dialect.

#### lock

    public LockClause lock()

Description copied from interface: `Dialect`
Return the `LockClause` used by this dialect.

Returns:
  the `LockClause` used by this dialect.